Package ghidra.generic.util.datastruct

# Class RestrictedValueSortedMap.RestrictedValueSortedMapEntryList

java.lang.Object
ghidra.generic.util.datastruct.RestrictedValueSortedMap.RestrictedValueSortedMapEntryList

All Implemented Interfaces:
  `ValueSortedMap.ValueSortedMapEntryList<K,V>`, `Iterable<Map.Entry<K,V>>`, `Collection<Map.Entry<K,V>>`, `Deque<Map.Entry<K,V>>`, `List<Map.Entry<K,V>>`, `Queue<Map.Entry<K,V>>`, `Set<Map.Entry<K,V>>`

Enclosing class:
  RestrictedValueSortedMap<K,V>

public class RestrictedValueSortedMap.RestrictedValueSortedMapEntryList extends Object implements ValueSortedMap.ValueSortedMapEntryList<K,V>
A list view suitable for `ValueSortedMap.entrySet()` of `RestrictedValueSortedMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestrictedValueSortedMapEntryList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, Map.Entry<K,V> element)`
  `boolean`
  `add(Map.Entry<K,V> e)`
  `boolean`
  `addAll(int index, Collection<? extends Map.Entry<K,V>> c)`
  `boolean`
  `addAll(Collection<? extends Map.Entry<K,V>> c)`
  `void`
  `addFirst(Map.Entry<K,V> e)`
  `void`
  `addLast(Map.Entry<K,V> e)`
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `containsAll(Collection<?> c)`
  `Iterator<Map.Entry<K,V>>`
  `descendingIterator()`
  `Map.Entry<K,V>`
  `element()`
  `Map.Entry<K,V>`
  `get(int index)`
  `Map.Entry<K,V>`
  `getFirst()`
  `Map.Entry<K,V>`
  `getLast()`
  `int`
  `indexOf(Object o)`
  `boolean`
  `isEmpty()`
  `Iterator<Map.Entry<K,V>>`
  `iterator()`
  `int`
  `lastIndexOf(Object o)`
  `ListIterator<Map.Entry<K,V>>`
  `listIterator()`
  `ListIterator<Map.Entry<K,V>>`
  `listIterator(int index)`
  `boolean`
  `offer(Map.Entry<K,V> e)`
  `boolean`
  `offerFirst(Map.Entry<K,V> e)`
  `boolean`
  `offerLast(Map.Entry<K,V> e)`
  `Map.Entry<K,V>`
  `peek()`
  `Map.Entry<K,V>`
  `peekFirst()`
  `Map.Entry<K,V>`
  `peekLast()`
  `Map.Entry<K,V>`
  `poll()`
  `Map.Entry<K,V>`
  `pollFirst()`
  `Map.Entry<K,V>`
  `pollLast()`
  `Map.Entry<K,V>`
  `pop()`
  `void`
  `push(Map.Entry<K,V> e)`
  `Map.Entry<K,V>`
  `remove()`
  `Map.Entry<K,V>`
  `remove(int index)`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `Map.Entry<K,V>`
  `removeFirst()`
  `boolean`
  `removeFirstOccurrence(Object o)`
  `Map.Entry<K,V>`
  `removeLast()`
  `boolean`
  `removeLastOccurrence(Object o)`
  `boolean`
  `retainAll(Collection<?> c)`
  `Map.Entry<K,V>`
  `set(int index, Map.Entry<K,V> element)`
  `int`
  `size()`
  `List<Map.Entry<K,V>>`
  `subList(int fromIndex, int toIndex)`
  `Object[]`
  `toArray()`
  `<T> T[]`
  `toArray(T[] a)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort`

  ### Methods inherited from interface java.util.Set

  `equals, hashCode`

  ### Methods inherited from interface ghidra.generic.util.datastruct.ValueSortedMap.ValueSortedMapEntryList

  `spliterator`

- ## Constructor Details

  - ### RestrictedValueSortedMapEntryList

    public RestrictedValueSortedMapEntryList()

- ## Method Details

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `size` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `size` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `size` in interface `Set<Map.Entry<K,V>>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `isEmpty` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `isEmpty` in interface `Set<Map.Entry<K,V>>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `contains` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `contains` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `contains` in interface `Set<Map.Entry<K,V>>`

  - ### iterator

    public Iterator<Map.Entry<K,V>> iterator()
    Specified by:
      `iterator` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `iterator` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `iterator` in interface `Iterable<Map.Entry<K,V>>`
    Specified by:
      `iterator` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `iterator` in interface `Set<Map.Entry<K,V>>`

  - ### toArray

    public Object[] toArray()
    Specified by:
      `toArray` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `toArray` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `toArray` in interface `Set<Map.Entry<K,V>>`

  - ### toArray

    public <T> T[] toArray(T[] a)
    Specified by:
      `toArray` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `toArray` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `toArray` in interface `Set<Map.Entry<K,V>>`

  - ### add

    public boolean add(Map.Entry<K,V> e)
    Specified by:
      `add` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `add` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `add` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `add` in interface `Queue<Map.Entry<K,V>>`
    Specified by:
      `add` in interface `Set<Map.Entry<K,V>>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `remove` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `remove` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `remove` in interface `Set<Map.Entry<K,V>>`

  - ### containsAll

    public boolean containsAll(Collection<?> c)
    Specified by:
      `containsAll` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `containsAll` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `containsAll` in interface `Set<Map.Entry<K,V>>`

  - ### addAll

    public boolean addAll(Collection<? extends Map.Entry<K,V>> c)
    Specified by:
      `addAll` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `addAll` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `addAll` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `addAll` in interface `Set<Map.Entry<K,V>>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `retainAll` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `retainAll` in interface `Set<Map.Entry<K,V>>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `removeAll` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `removeAll` in interface `Set<Map.Entry<K,V>>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<Map.Entry<K,V>>`
    Specified by:
      `clear` in interface `List<Map.Entry<K,V>>`
    Specified by:
      `clear` in interface `Set<Map.Entry<K,V>>`

  - ### addAll

    public boolean addAll(int index, Collection<? extends Map.Entry<K,V>> c)
    Specified by:
      `addAll` in interface `List<Map.Entry<K,V>>`

  - ### get

    public Map.Entry<K,V> get(int index)
    Specified by:
      `get` in interface `List<Map.Entry<K,V>>`

  - ### set

    public Map.Entry<K,V> set(int index, Map.Entry<K,V> element)
    Specified by:
      `set` in interface `List<Map.Entry<K,V>>`

  - ### add

    public void add(int index, Map.Entry<K,V> element)
    Specified by:
      `add` in interface `List<Map.Entry<K,V>>`

  - ### remove

    public Map.Entry<K,V> remove(int index)
    Specified by:
      `remove` in interface `List<Map.Entry<K,V>>`

  - ### indexOf

    public int indexOf(Object o)
    Specified by:
      `indexOf` in interface `List<Map.Entry<K,V>>`

  - ### lastIndexOf

    public int lastIndexOf(Object o)
    Specified by:
      `lastIndexOf` in interface `List<Map.Entry<K,V>>`

  - ### listIterator

    public ListIterator<Map.Entry<K,V>> listIterator()
    Specified by:
      `listIterator` in interface `List<Map.Entry<K,V>>`

  - ### listIterator

    public ListIterator<Map.Entry<K,V>> listIterator(int index)
    Specified by:
      `listIterator` in interface `List<Map.Entry<K,V>>`

  - ### subList

    public List<Map.Entry<K,V>> subList(int fromIndex, int toIndex)
    Specified by:
      `subList` in interface `List<Map.Entry<K,V>>`

  - ### addFirst

    public void addFirst(Map.Entry<K,V> e)
    Specified by:
      `addFirst` in interface `Deque<Map.Entry<K,V>>`

  - ### addLast

    public void addLast(Map.Entry<K,V> e)
    Specified by:
      `addLast` in interface `Deque<Map.Entry<K,V>>`

  - ### offerFirst

    public boolean offerFirst(Map.Entry<K,V> e)
    Specified by:
      `offerFirst` in interface `Deque<Map.Entry<K,V>>`

  - ### offerLast

    public boolean offerLast(Map.Entry<K,V> e)
    Specified by:
      `offerLast` in interface `Deque<Map.Entry<K,V>>`

  - ### removeFirst

    public Map.Entry<K,V> removeFirst()
    Specified by:
      `removeFirst` in interface `Deque<Map.Entry<K,V>>`

  - ### removeLast

    public Map.Entry<K,V> removeLast()
    Specified by:
      `removeLast` in interface `Deque<Map.Entry<K,V>>`

  - ### pollFirst

    public Map.Entry<K,V> pollFirst()
    Specified by:
      `pollFirst` in interface `Deque<Map.Entry<K,V>>`

  - ### pollLast

    public Map.Entry<K,V> pollLast()
    Specified by:
      `pollLast` in interface `Deque<Map.Entry<K,V>>`

  - ### getFirst

    public Map.Entry<K,V> getFirst()
    Specified by:
      `getFirst` in interface `Deque<Map.Entry<K,V>>`

  - ### getLast

    public Map.Entry<K,V> getLast()
    Specified by:
      `getLast` in interface `Deque<Map.Entry<K,V>>`

  - ### peekFirst

    public Map.Entry<K,V> peekFirst()
    Specified by:
      `peekFirst` in interface `Deque<Map.Entry<K,V>>`

  - ### peekLast

    public Map.Entry<K,V> peekLast()
    Specified by:
      `peekLast` in interface `Deque<Map.Entry<K,V>>`

  - ### removeFirstOccurrence

    public boolean removeFirstOccurrence(Object o)
    Specified by:
      `removeFirstOccurrence` in interface `Deque<Map.Entry<K,V>>`

  - ### removeLastOccurrence

    public boolean removeLastOccurrence(Object o)
    Specified by:
      `removeLastOccurrence` in interface `Deque<Map.Entry<K,V>>`

  - ### offer

    public boolean offer(Map.Entry<K,V> e)
    Specified by:
      `offer` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `offer` in interface `Queue<Map.Entry<K,V>>`

  - ### remove

    public Map.Entry<K,V> remove()
    Specified by:
      `remove` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `remove` in interface `Queue<Map.Entry<K,V>>`

  - ### poll

    public Map.Entry<K,V> poll()
    Specified by:
      `poll` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `poll` in interface `Queue<Map.Entry<K,V>>`

  - ### element

    public Map.Entry<K,V> element()
    Specified by:
      `element` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `element` in interface `Queue<Map.Entry<K,V>>`

  - ### peek

    public Map.Entry<K,V> peek()
    Specified by:
      `peek` in interface `Deque<Map.Entry<K,V>>`
    Specified by:
      `peek` in interface `Queue<Map.Entry<K,V>>`

  - ### push

    public void push(Map.Entry<K,V> e)
    Specified by:
      `push` in interface `Deque<Map.Entry<K,V>>`

  - ### pop

    public Map.Entry<K,V> pop()
    Specified by:
      `pop` in interface `Deque<Map.Entry<K,V>>`

  - ### descendingIterator

    public Iterator<Map.Entry<K,V>> descendingIterator()
    Specified by:
      `descendingIterator` in interface `Deque<Map.Entry<K,V>>`